# $Revision: 1.2 $, $Date: 2009/02/24 07:38:17 $
Summary:	Inter-toolkit configuration settings library
Summary(pl.UTF-8):	Biblioteka ustawień dzielonych między toolkitami
Name:		libxsettings-client
Version:	0.17
Release:	2
License:	MIT
Group:		X11/Libraries
Source0:	http://gpe.linuxtogo.org/download/source/%{name}-%{version}.tar.bz2
# Source0-md5:	2c052bbe613d2d83abad391824b217ad
Patch0:		%{name}-opt.patch
URL:		http://freedesktop.org/wiki/Software/xsettings
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	xorg-lib-libX11-devel
Provides:	Xsettings-client = %{version}-%{release}
Obsoletes:	Xsettings-client
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The intent of XSETTINGS protocol is to provide a mechanism to allow
the configuration of settings such as double click timeout,
drag-and-drop threshold, and default foreground and background colors
for all applications running within a desktop.

This package contains XSETTINGS client library.

%description -l pl.UTF-8
Celem protokołu XSETTINGS jest dostarczenie mechanizmu pozwalającego
na konfigurację ustawień takich jak czas podwójnego kliknięcia, próg
przeciągania i upuszczania czy domyślne kolory obrazu i tła dla
wszystkich aplikacji działających na pulpicie.

Ten pakiet zawiera bibliotekę kliencką XSETTINGS.

%package devel
Summary:	Header files for libXsettings-client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXsettings-client
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Provides:	Xsettings-client-devel = %{version}-%{release}
Obsoletes:	Xsettings-client-devel

%description devel
Header files for libXsettings-client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libXsettings-client.

%package static
Summary:	Static libXsettings-client library
Summary(pl.UTF-8):	Statyczna biblioteka libXsettings-client
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	Xsettings-static = %{version}-%{release}
Obsoletes:	Xsettings-static

%description static
Static libXsettings-client library.

%description static -l pl.UTF-8
Statyczna biblioteka libXsettings-client.

%package apidocs
Summary:	libXsettings-client API documentation
Summary(pl.UTF-8):	Dokumentacja API libXsettings-client
License:	LGPL v2.1+
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libXsettings-client API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libXsettings-client.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXsettings-client.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXsettings-client.so
%{_libdir}/libXsettings-client.la
%{_includedir}/xsettings-*.h
%{_pkgconfigdir}/libxsettings-client.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXsettings-client.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libXsettings-client

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxsettings-client.spec,v $
Revision 1.2  2009/02/24 07:38:17  arekm
- release 2

Revision 1.1  2007/06/20 19:33:07  qboosh
- yet another packaging of xsettings-client library (newer than Xsettings-client.spec)

Revision 1.4  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.2  2006/12/26 21:46:04  qboosh
- License is MIT-style

Revision 1.1  2006/12/26 21:30:20  qboosh
- new
